Description

When using the map item "move content" tool to tune the extent of a map item, panning is working even if the map item is not a select

frame, which is great, but zoom using scroll does not work, letting some users think there is no direct way to zoom with the mouse scroll.

History

#1 - 2019-02-04 10:32 AM - Nyall Dawson

- Status changed from Open to Closed

This is by design, as it was too easy to accidentally change a map's zoom previously.

#2 - 2019-03-04 11:15 PM - Regis Haubourg

Nyall Dawson wrote:

This is by design, as it was too easy to accidentally change a map's zoom previously.

Oh ok. but users are really puzzled by the inconsistency.

 Couldn't we homogenize behavior between pan and zoom? Making it mandatory to select a map canvas item to enable the pan/zoom tool makes sense to

me. What's your opinion Nyall? others?

#3 - 2019-03-04 11:35 PM - Nyall Dawson

Requiring the item to be selected to allow pan would be fine by me (i.e. matching behavior to zoom, rather then the other way around)!

#4 - 2019-03-05 11:25 AM - Regis Haubourg

- Status changed from Closed to Open

- Subject changed from Map item zoom with mouse scroll doesn't work if map item is not selected to Homogenize map item pan and mouse scroll UX - 

make map item select mandatory

- Tracker changed from Bug report to Feature request

Changing bug request to feature request.  The requirement would be to make it mandatory to select a map item to be able to pan or zoom with mouse

scroll. The zoom/pan button needs to be greyed-out if the selected item is not a map item.
